package com.module.backstage.bean;

import java.io.Serializable;

public class SimBean implements Serializable {

    /**
     * code : 0
     * data : {"activeDuration":89,"ratePlanId":444,"imsi":"460043265105996","type":"SINGLE","totalDataVolume":12288,"orgId":30168,"deviceStatus":"RETIRED_NAME","iccid":"89860412101871405996","useCountAsVolume":false,"expireDate":"2020-11-23 17:59:18","msisdn":"1440126515996","apn":"CMIOTQIPENG.JS","nbCard":false,"imeiStatus":"NOT_SET","orgName":"广州申泽智能科技有限公司","testingExpireDate":"2019-11-26 11:23:28","usedDataVolume":0,"realnameRequired":false,"speedLimit":153600,"realNameCertifystatus":"not-submit","carrier":"cmcc","dateDeactivated":"2020-11-23 18:01:35","openDate":"2019-11-26 11:23:28","remark1":"客户不再使用","iratePlanName":"12G/12个月","startDate":"2019-11-29 17:59:20","status":"retired"}
     * success : true
     * detail : normally invoke
     * message : OK
     */

    private String code;
    private DataBean data;
    private boolean success;
    private String detail;
    private String message;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static class DataBean implements Serializable {
        /**
         * activeDuration : 89
         * ratePlanId : 444
         * imsi : 460043265105996
         * type : SINGLE
         * totalDataVolume : 12288
         * orgId : 30168
         * deviceStatus : RETIRED_NAME
         * iccid : 89860412101871405996
         * useCountAsVolume : false
         * expireDate : 2020-11-23 17:59:18
         * msisdn : 1440126515996
         * apn : CMIOTQIPENG.JS
         * nbCard : false
         * imeiStatus : NOT_SET
         * orgName : 广州申泽智能科技有限公司
         * testingExpireDate : 2019-11-26 11:23:28
         * usedDataVolume : 0
         * realnameRequired : false
         * speedLimit : 153600
         * realNameCertifystatus : not-submit
         * carrier : cmcc
         * dateDeactivated : 2020-11-23 18:01:35
         * openDate : 2019-11-26 11:23:28
         * remark1 : 客户不再使用
         * iratePlanName : 12G/12个月
         * startDate : 2019-11-29 17:59:20
         * status : retired
         */

        private int activeDuration;//激活宽限期（天）
        private int ratePlanId;//卡当前套餐ID
        private String imsi;
        private String type;//套餐类型
        private int totalDataVolume;//卡套餐大小, 单位M
        private int orgId;
        /*
        卡在运营商的状态, 可测试: TEST_READY_NAME,
        库存：INVENTORY_NAME，
        可激活：ACTIVATION_READY_NAME，
        已激活：ACTIVATED_NAME，
        已停卡：DEACTIVATED_NAME，
        已销卡：RETIRED_NAME,
        已清除：PURGED_NAME
         */
        private String deviceStatus;
        private String iccid;
        private boolean useCountAsVolume;//卡套餐单位，false表示按流量（MB），true表示按次数
        private String expireDate;//过期时间
        private String msisdn;
        private String apn;
        private boolean nbCard;//是否NB卡
        //机卡绑定状态，NOT_SET：未开启，NOT_BIND：待绑定，NORMAL：正常，SPLIT：机卡分离
        private String imeiStatus;
        private String orgName;//卡所属机构名称
        private String testingExpireDate;
        private double usedDataVolume;
        private boolean realnameRequired;
        private int speedLimit;
        private String realNameCertifystatus;
        private String carrier;//运营商，unicom：中国联通，cmcc：中国移动，chinanet：中国电信
        private String dateDeactivated;
        private String openDate;
        private String remark1;
        private String iratePlanName;
        private String startDate;
        /*
        状态，
        测试中：testing、
        库存：inventory、
        待激活：pending-activation、
        已激活：activation、
        已停卡：deactivation、
        已销卡：retired
         */
        private String status;

        public int getActiveDuration() {
            return activeDuration;
        }

        public void setActiveDuration(int activeDuration) {
            this.activeDuration = activeDuration;
        }

        public int getRatePlanId() {
            return ratePlanId;
        }

        public void setRatePlanId(int ratePlanId) {
            this.ratePlanId = ratePlanId;
        }

        public String getImsi() {
            return imsi;
        }

        public void setImsi(String imsi) {
            this.imsi = imsi;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public int getTotalDataVolume() {
            return totalDataVolume;
        }

        public void setTotalDataVolume(int totalDataVolume) {
            this.totalDataVolume = totalDataVolume;
        }

        public int getOrgId() {
            return orgId;
        }

        public void setOrgId(int orgId) {
            this.orgId = orgId;
        }

        public String getDeviceStatus() {
            return deviceStatus;
        }

        public void setDeviceStatus(String deviceStatus) {
            this.deviceStatus = deviceStatus;
        }

        public String getIccid() {
            return iccid;
        }

        public void setIccid(String iccid) {
            this.iccid = iccid;
        }

        public boolean isUseCountAsVolume() {
            return useCountAsVolume;
        }

        public void setUseCountAsVolume(boolean useCountAsVolume) {
            this.useCountAsVolume = useCountAsVolume;
        }

        public String getExpireDate() {
            return expireDate;
        }

        public void setExpireDate(String expireDate) {
            this.expireDate = expireDate;
        }

        public String getMsisdn() {
            return msisdn;
        }

        public void setMsisdn(String msisdn) {
            this.msisdn = msisdn;
        }

        public String getApn() {
            return apn;
        }

        public void setApn(String apn) {
            this.apn = apn;
        }

        public boolean isNbCard() {
            return nbCard;
        }

        public void setNbCard(boolean nbCard) {
            this.nbCard = nbCard;
        }

        public String getImeiStatus() {
            return imeiStatus;
        }

        public void setImeiStatus(String imeiStatus) {
            this.imeiStatus = imeiStatus;
        }

        public String getOrgName() {
            return orgName;
        }

        public void setOrgName(String orgName) {
            this.orgName = orgName;
        }

        public String getTestingExpireDate() {
            return testingExpireDate;
        }

        public void setTestingExpireDate(String testingExpireDate) {
            this.testingExpireDate = testingExpireDate;
        }

        public double getUsedDataVolume() {
            return usedDataVolume;
        }

        public void setUsedDataVolume(double usedDataVolume) {
            this.usedDataVolume = usedDataVolume;
        }

        public boolean isRealnameRequired() {
            return realnameRequired;
        }

        public void setRealnameRequired(boolean realnameRequired) {
            this.realnameRequired = realnameRequired;
        }

        public int getSpeedLimit() {
            return speedLimit;
        }

        public void setSpeedLimit(int speedLimit) {
            this.speedLimit = speedLimit;
        }

        public String getRealNameCertifystatus() {
            return realNameCertifystatus;
        }

        public void setRealNameCertifystatus(String realNameCertifystatus) {
            this.realNameCertifystatus = realNameCertifystatus;
        }

        public String getCarrier() {
            return carrier;
        }

        public void setCarrier(String carrier) {
            this.carrier = carrier;
        }

        public String getDateDeactivated() {
            return dateDeactivated;
        }

        public void setDateDeactivated(String dateDeactivated) {
            this.dateDeactivated = dateDeactivated;
        }

        public String getOpenDate() {
            return openDate;
        }

        public void setOpenDate(String openDate) {
            this.openDate = openDate;
        }

        public String getRemark1() {
            return remark1;
        }

        public void setRemark1(String remark1) {
            this.remark1 = remark1;
        }

        public String getIratePlanName() {
            return iratePlanName;
        }

        public void setIratePlanName(String iratePlanName) {
            this.iratePlanName = iratePlanName;
        }

        public String getStartDate() {
            return startDate;
        }

        public void setStartDate(String startDate) {
            this.startDate = startDate;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }
    }
}
